<?php

function calculateDistance($lat1, $lat2, $lon1, $lon2,$el1, $el2) {

    //$R = 6371; // Radius of the earth
    $R = 6376.402; // Radius of the earth

    $latDistance = deg2rad($lat2 - $lat1);
    $lonDistance = deg2rad($lon2 - $lon1);
    $a = sin($latDistance / 2) * sin($latDistance / 2)
            + cos(deg2rad($lat1)) * cos(deg2rad($lat2))
            * sin($lonDistance / 2) * sin($lonDistance / 2);
    $c = 2 * atan2(sqrt($a), sqrt(1 - $a));
    $distance = $R * $c * 1000; // convert to meters

    $height = $el1 - $el2;
    if ($height <> 0) {
      $distance = pow($distance, 2) + pow($height, 2);
      $distance = sqrt($distance);
    }
    return $distance;
} 

?>